Loading...
Searching...
No Matches
ShapeInput.h File Reference
`#include <array>`
`#include <vector>`
`#include <GraphMol/RWMol.h>`
`#include <RDGeneral/export.h>`
`#include <Geometry/Transform3D.h>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/dynamic_bitset.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <GraphMol/GaussianShape/ShapeOverlayOptions.h>`

Go to the source code of this file.

## Classes

struct | RDKit::GaussianShape::CustomFeature
struct | RDKit::GaussianShape::ShapeInputOptions
class | RDKit::GaussianShape::ShapeInput

## Namespaces

namespace | boost
namespace | boost::serialization
namespace | RDKit
| Std stuff.
namespace | RDKit::GaussianShape

## Functions

template<class Archive, typename Block, typename Allocator>
void | boost::serialization::serialize (Archive &ar, dynamic_bitset< Block, Allocator > &bs, const unsigned int)
RDKIT_GAUSSIANSHAPE_EXPORT void | RDKit::GaussianShape::findFeatures (const Conformer &conf, std::vector< CustomFeature > &features, const std::optional< std::vector< unsigned int > > &atomSubset=std::nullopt)
RDKIT_GAUSSIANSHAPE_EXPORT RDGeom::Point3D | RDKit::GaussianShape::computeFeaturePos (const Conformer &conf, const std::vector< unsigned int > &ats)
RDKIT_GAUSSIANSHAPE_EXPORT RDGeom::Transform3D | RDKit::GaussianShape::quatTransToTransform (const double *quat, const double *trans)
RDKIT_GAUSSIANSHAPE_EXPORT void | RDKit::GaussianShape::applyTransformToShape (std::vector< double > &shape, const RDGeom::Transform3D &xform)
RDKIT_GAUSSIANSHAPE_EXPORT void | RDKit::GaussianShape::applyTransformToShape (const double *inShape, double *outShape, size_t numPoints, const RDGeom::Transform3D &xform)
RDKIT_GAUSSIANSHAPE_EXPORT void | RDKit::GaussianShape::translateShape (std::vector< double > &shape, const RDGeom::Point3D &translation)
RDKIT_GAUSSIANSHAPE_EXPORT void | RDKit::GaussianShape::translateShape (const double *inShape, double *outShape, size_t numPoints, const RDGeom::Point3D &translation)
RDKIT_GAUSSIANSHAPE_EXPORT double | RDKit::GaussianShape::maxScore (double v1, double v2, double c1, double c2, const ShapeOverlayOptions &overlayOpts)

## Variables

constexpr double | RDKit::GaussianShape::CARBON_RAD = 1.70
constexpr double | RDKit::GaussianShape::DUMMY_RAD = 2.16
constexpr double | RDKit::GaussianShape::P = 2.7
constexpr double | RDKit::GaussianShape::KAPPA = 2.41798793102